fig68 <- function(post=F)
{
if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig68.ps", width=4.4, height=3, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 2),mar=c(5,3,3,1)+0.1)
 par(cex=0.8,mex=0.5,csi=0.11)


 x=seq(-10,10,length=401)
 xp = c(0,10)
 ax=abs(x);

 p1=3^2 - (ax-3)^2*(ax<3);
 plot(x, p1, type="l", ylim=c(0,11), xlab="(a)")
 title("Hard and soft-threshold penalty")
 lines(xp, xp, lty=2)
 lines(-xp, xp, lty=2)
 
 a=3.7
 p2 = ax*(ax<=1)-(ax^2-2*a*ax+1)/(2*(a-1))*(ax>1)*(ax<=a) + 0.5*(a+1)*(ax>a);
 plot(x, p2, type="l", ylim=c(0,3), xlab="(a)")
 title("SCAD Penalty")

}
